org.apache.tinkerpop.gremlin.driver.ser

## Class AbstractGraphSONMessageSerializerV1d0.GremlinServerModule

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.Module
  - - org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule
    - - org.apache.tinkerpop.gremlin.driver.ser.AbstractGraphSONMessageSerializerV1d0.GremlinServerModule

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.core.Versioned
  Enclosing class:
    AbstractGraphSONMessageSerializerV1d0

      public static final class AbstractGraphSONMessageSerializerV1d0.GremlinServerModule
      extends org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `org.apache.tinkerpop.shaded.jackson.databind.Module.SetupContext`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_abstractTypes, _deserializerModifier, _deserializers, _keyDeserializers, _keySerializers, _mixins, _name, _namingStrategy, _serializerModifier, _serializers, _subtypes, _valueInstantiators, _version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinServerModule()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.module.SimpleModule

      `_checkNotNull, addAbstractTypeMapping, addDeserializer, addKeyDeserializer, addKeySerializer, addSerializer, addSerializer, addValueInstantiator, getModuleName, getTypeId, registerSubtypes, registerSubtypes, registerSubtypes, setAbstractTypes, setDeserializerModifier, setDeserializers, setKeyDeserializers, setKeySerializers, setMixInAnnotation, setNamingStrategy, setSerializerModifier, setSerializers, setupModule, setValueInstantiators, version`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.Module

      `getDependencies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinServerModule

          public GremlinServerModule()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.